Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface RegistryObject

All Superinterfaces:
  ExtensibleObject

All Known Subinterfaces:
  Association, AuditableEvent, Classification, ClassificationScheme, Concept, ExternalIdentifier, ExternalLink, ExtrinsicObject, Organization, RegistryEntry, RegistryPackage, Service, ServiceBinding, SpecificationLink, User

public interface RegistryObject
extends ExtensibleObject

The RegistryObject class is an abstract base class used by most classes in the model. It provides minimal metadata for registry objects. It also provides methods for accessing related objects that provide additional dynamic metadata for the registry object.

Author:
  Farrukh S. Najmi
See Also:
  `RegistryEntry`

Method Summary
`void` | `addAssociation(Association association)` Adds specified Association to use this object as source.
`void` | `addAssociations(java.util.Collection associations)` Adds specified Associations to use this object as source.
`void` | `addClassification(Classification classification)` Adds specified Classification to this object.
`void` | `addClassifications(java.util.Collection classifications)` Adds specified Classifications to this object.
`void` | `addExternalIdentifier(ExternalIdentifier externalIdentifier)` Adds specified ExternalIdentifier as an external identifier to this object.
`void` | `addExternalIdentifiers(java.util.Collection externalIdentifiers)` Adds specified ExternalIdentifiers as an external identifiers to this object.
`void` | `addExternalLink(ExternalLink externalLink)` Adds specified ExternalLink to this object.
`void` | `addExternalLinks(java.util.Collection externalLinks)` Adds specified ExternalLinks to this object.
`java.util.Collection` | `getAssociatedObjects()` Returns the collection of RegistryObject instances associated with this object.
`java.util.Collection` | `getAssociations()` Gets all Associations where this object is source.
`java.util.Collection` | `getAuditTrail()` Returns the complete audit trail of all requests that effected a state change in this object as an ordered Collection of AuditableEvent objects.
`java.util.Collection` | `getClassifications()` Gets the Classification instances that classify this object.
`InternationalString` | `getDescription()` Gets the textual description for this object.
`java.util.Collection` | `getExternalIdentifiers()` Returns the ExternalIdentifiers associated with this object that are external identifiers for this object.
`java.util.Collection` | `getExternalLinks()` Returns the ExternalLinks associated with this object.
`Key` | `getKey()` Gets the key representing the universally unique ID (UUID) for this object.
`LifeCycleManager` | `getLifeCycleManager()` Returns the LifeCycleManager that created this object.
`InternationalString` | `getName()` Gets the user-friendly name of this object.
`Concept` | `getObjectType()` Gets the object type that best describes the RegistryObject.
`java.util.Collection` | `getRegistryPackages()` Returns the Package associated with this object.
`Organization` | `getSubmittingOrganization()` Gets the Organization that submitted this RegistryObject.
`void` | `removeAssociation(Association association)` Removes specified Association from this object.
`void` | `removeAssociations(java.util.Collection associations)` Removes specified Associations from this object.
`void` | `removeClassification(Classification classification)` Removes specified Classification from this object.
`void` | `removeClassifications(java.util.Collection classifications)` Removes specified Classifications from this object.
`void` | `removeExternalIdentifier(ExternalIdentifier externalIdentifier)` Removes specified ExternalIdentifier as an external identifier from this object.
`void` | `removeExternalIdentifiers(java.util.Collection externalIdentifiers)` Removes specified ExternalIdentifiers as an external identifiers from this object.
`void` | `removeExternalLink(ExternalLink externalLink)` Removes specified ExternalLink from this object.
`void` | `removeExternalLinks(java.util.Collection externalLinks)` Removes specified ExternalLinks from this object.
`void` | `setAssociations(java.util.Collection associations)` Replaces all previous Associations from this object with specified Associations.
`void` | `setClassifications(java.util.Collection classifications)` Replaces all previous Classifications with specified Classifications.
`void` | `setDescription(InternationalString description)` Sets the context independent textual description for this object.
`void` | `setExternalIdentifiers(java.util.Collection externalIdentifiers)` Replaces all previous external identifiers with specified Collection of ExternalIdentifiers as an external identifier.
`void` | `setExternalLinks(java.util.Collection externalLinks)` Replaces all previous ExternalLinks with specified ExternalLinks.
`void` | `setKey(Key key)` Sets the key representing the universally unique ID (UUID) for this object.
`void` | `setName(InternationalString name)` Sets user-friendly name of object in repository.
`java.lang.String` | `toXML()` Returns a registry provider specific XML representation of this Object.

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getKey

    public Key getKey()
               throws JAXRException

  Gets the key representing the universally unique ID (UUID) for this object.

  Capability Level: 0

  Returns:
    the Key for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getDescription

    public InternationalString getDescription()
                                       throws JAXRException

  Gets the textual description for this object.

  Capability Level: 0

  Returns:
    the description for this object which must not be null
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setDescription

    public void setDescription(InternationalString description)
                        throws JAXRException

  Sets the context independent textual description for this object.

  Capability Level: 0

  Parameters:
    `description` - the description for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getName

    public InternationalString getName()
                                throws JAXRException

  Gets the user-friendly name of this object.

  Capability Level: 0

  Returns:
    the name for this object which must not be null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setName

    public void setName(InternationalString name)
                 throws JAXRException

  Sets user-friendly name of object in repository.

  Capability Level: 0

  Parameters:
    `name` - the name for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setKey

    public void setKey(Key key)
                throws JAXRException

  Sets the key representing the universally unique ID (UUID) for this object.

  Capability Level: 0

  Parameters:
    `key` - the key for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### toXML

    public java.lang.String toXML()
                           throws JAXRException

  Returns a registry provider specific XML representation of this Object. This may be used as a last resort back door way to get to a provider specific information element that is not accessible via the API. Implementation may choose to throw a UnsupportedCapabilityException.

  Capability Level: 0

  Returns:
    the String containing the XML representation for this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addClassification

    public void addClassification(Classification classification)
                           throws JAXRException

  Adds specified Classification to this object. Silently replaces the classifiedObject in Classification with reference to this object.

  Capability Level: 0

  Parameters:
    `classification` - the Classification being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addClassifications

    public void addClassifications(java.util.Collection classifications)
                            throws JAXRException

  Adds specified Classifications to this object. Silently replaces the classifiedObject in Classifications with reference to this object.

  Capability Level: 0

  Parameters:
    `classifications` - the Collection of Classifications being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeClassification

    public void removeClassification(Classification classification)
                              throws JAXRException

  Removes specified Classification from this object.

  Capability Level: 0

  Parameters:
    `classification` - the Classification being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeClassifications

    public void removeClassifications(java.util.Collection classifications)
                               throws JAXRException

  Removes specified Classifications from this object.

  Capability Level: 0

  Parameters:
    `classifications` - the Collection of Classifications being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setClassifications

    public void setClassifications(java.util.Collection classifications)
                            throws JAXRException

  Replaces all previous Classifications with specified Classifications.

  Capability Level: 0

  Parameters:
    `classifications` - the Collection of Classifications being set
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getClassifications

    public java.util.Collection getClassifications()
                                            throws JAXRException

  Gets the Classification instances that classify this object.

  Capability Level: 0

  Returns:
    Collection of Classification instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Classification`

### getAuditTrail

    public java.util.Collection getAuditTrail()
                                       throws JAXRException

  Returns the complete audit trail of all requests that effected a state change in this object as an ordered Collection of AuditableEvent objects.

  Capability Level: 1
    This method must throw UnsupportedCapabilityException in lower capability levels.

  Returns:
    Collection of AuditableEvent instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `AuditableEvent`

### addAssociation

    public void addAssociation(Association association)
                        throws JAXRException

  Adds specified Association to use this object as source. Silently replaces the sourceObject in Association with reference to this object.

  Capability Level: 0

  Parameters:
    `association` - the Association being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addAssociations

    public void addAssociations(java.util.Collection associations)
                         throws JAXRException

  Adds specified Associations to use this object as source. Silently replaces the sourceObject in Associations with reference to this object.

  Capability Level: 0

  Parameters:
    `associations` - the Collection of Associations being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeAssociation

    public void removeAssociation(Association association)
                           throws JAXRException

  Removes specified Association from this object.

  Capability Level: 0

  Parameters:
    `association` - the Association being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeAssociations

    public void removeAssociations(java.util.Collection associations)
                            throws JAXRException

  Removes specified Associations from this object.

  Capability Level: 0

  Parameters:
    `associations` - the Collection of Associations being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setAssociations

    public void setAssociations(java.util.Collection associations)
                         throws JAXRException

  Replaces all previous Associations from this object with specified Associations.

  Capability Level: 0

  Parameters:
    `associations` - the Collection of Associations being set
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getAssociations

    public java.util.Collection getAssociations()
                                         throws JAXRException

  Gets all Associations where this object is source.

  Capability Level: 0

  Returns:
    Collection of Association instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `Association`

### getAssociatedObjects

    public java.util.Collection getAssociatedObjects()
                                              throws JAXRException

  Returns the collection of RegistryObject instances associated with this object.

  Capability Level: 1
    This method must throw UnsupportedCapabilityException in lower capability levels.

  Returns:
    Collection of RegistryObject instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `RegistryObject`

### addExternalIdentifier

    public void addExternalIdentifier(ExternalIdentifier externalIdentifier)
                               throws JAXRException

  Adds specified ExternalIdentifier as an external identifier to this object. Silently replaces the registryObject in ExternalIdentifier with reference to this object.

  Capability Level: 0

  Parameters:
    `externalIdentifier` - the ExternalIdentifier being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addExternalIdentifiers

    public void addExternalIdentifiers(java.util.Collection externalIdentifiers)
                                throws JAXRException

  Adds specified ExternalIdentifiers as an external identifiers to this object. Silently replaces the registryObject in ExternalIdentifiers with reference to this object.

  Capability Level: 0

  Parameters:
    `externalIdentifiers` - the Collection of ExternalIdentifiers being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeExternalIdentifier

    public void removeExternalIdentifier(ExternalIdentifier externalIdentifier)
                                  throws JAXRException

  Removes specified ExternalIdentifier as an external identifier from this object.

  Capability Level: 0

  Parameters:
    `externalIdentifier` - the ExternalIdentifier being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeExternalIdentifiers

    public void removeExternalIdentifiers(java.util.Collection externalIdentifiers)
                                   throws JAXRException

  Removes specified ExternalIdentifiers as an external identifiers from this object.

  Capability Level: 0

  Parameters:
    `externalIdentifiers` - the Collection of ExternalIdentifiers being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setExternalIdentifiers

    public void setExternalIdentifiers(java.util.Collection externalIdentifiers)
                                throws JAXRException

  Replaces all previous external identifiers with specified Collection of ExternalIdentifiers as an external identifier.

  Capability Level: 0

  Parameters:
    `externalIdentifiers` - the Collection of ExternalIdentifiers being set
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getExternalIdentifiers

    public java.util.Collection getExternalIdentifiers()
                                                throws JAXRException

  Returns the ExternalIdentifiers associated with this object that are external identifiers for this object.

  Capability Level: 0

  Returns:
    Collection of ExternalIdentifier instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `ExternalIdentifier`

### addExternalLink

    public void addExternalLink(ExternalLink externalLink)
                         throws JAXRException

  Adds specified ExternalLink to this object.

  Capability Level: 0

  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addExternalLinks

    public void addExternalLinks(java.util.Collection externalLinks)
                          throws JAXRException

  Adds specified ExternalLinks to this object.

  Capability Level: 0

  Parameters:
    `externalLinks` - the Collection of ExternalLinks being added
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeExternalLink

    public void removeExternalLink(ExternalLink externalLink)
                            throws JAXRException

  Removes specified ExternalLink from this object.

  Capability Level: 0

  Parameters:
    `externalLink` - the ExternalLink being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeExternalLinks

    public void removeExternalLinks(java.util.Collection externalLinks)
                             throws JAXRException

  Removes specified ExternalLinks from this object.

  Capability Level: 0

  Parameters:
    `externalLinks` - the Collection of ExternalLinks being removed
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setExternalLinks

    public void setExternalLinks(java.util.Collection externalLinks)
                          throws JAXRException

  Replaces all previous ExternalLinks with specified ExternalLinks.

  Capability Level: 0

  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getExternalLinks

    public java.util.Collection getExternalLinks()
                                          throws JAXRException

  Returns the ExternalLinks associated with this object.

  Capability Level: 0

  Returns:
    Collection of ExternalLink instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `ExternalLink`

### getObjectType

    public Concept getObjectType()
                          throws JAXRException

  Gets the object type that best describes the RegistryObject.

  Capability Level: 1
    This method must throw UnsupportedCapabilityException in lower capability levels.

  Returns:
    the object type as a Concept within the pre-defined ClassificationScheme named ObjectType
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getSubmittingOrganization

    public Organization getSubmittingOrganization()
                                           throws JAXRException

  Gets the Organization that submitted this RegistryObject.

  Returns:
    the Organization that submitted this object to the registry
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryPackages

    public java.util.Collection getRegistryPackages()
                                             throws JAXRException

  Returns the Package associated with this object.

  Capability Level: 1
    This method must throw UnsupportedCapabilityException in lower capability levels.

  Returns:
    Collection of RegistryPackage instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `RegistryPackage`

### getLifeCycleManager

    public LifeCycleManager getLifeCycleManager()
                                         throws JAXRException

  Returns the LifeCycleManager that created this object.

  Capability Level: 0

  Returns:
    the LifeCycleManager objet that created this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.